import { Renderer, RenderTexture } from "@pixi/core";
import type { InteractionManager } from "@pixi/interaction";
import type { DisplayObject } from "@pixi/display";
import { CompatibilityVersion, LoaderResourceResponseType } from "../compatibility-version";
import type { AssetsClass } from "@pixi/assets";
export declare class Version530 implements CompatibilityVersion {
    setLoaderResourceExtensionType(extension: string, type: LoaderResourceResponseType): void;
    getInteractionPlugin(renderer: Renderer): InteractionManager | undefined;
    get assets(): AssetsClass | undefined;
    isRendererDestroyed(renderer: Renderer): boolean;
    installRendererPlugin(name: string, plugin: any): void;
    installLoaderPlugin(name: string, plugin: any): void;
    render(renderer: Renderer, object: DisplayObject, renderTexture: RenderTexture): void;
}
